﻿
.k-button.k-primary {
    border-color: #39918d;
    color: #2F1B47;
    background-color: #4ABBB6;
    background-image: linear-gradient(rgba(255,138,88,0),rgba(255,138,88,0.2))
}

    .k-button.k-primary:hover, .k-button.k-primary.k-state-hover, .k-action-buttons .k-primary:hover, .k-action-buttons .k-primary.k-state-hover {
        border-color: #39918d;
        color: #2F1B47;
        background-color: #4ABBB6;
        background-image: linear-gradient(rgba(255,146,88,0),rgba(255,146,88,0.2))
    }

.k-list .k-item.k-state-selected, .k-list-optionlabel.k-state-selected, .k-list-container .k-button:active, .k-list-container .k-button.k-state-active, .k-columnmenu-item.k-state-selected, .k-column-menu .k-menu:not(.k-context-menu) .k-item.k-state-selected, .k-spreadsheet-popup .k-button:active, .k-spreadsheet-popup .k-button.k-state-active, .k-spreadsheet-popup .k-button.k-state-selected {
    color: #2F1B47;
    background-color: #4ABBB6
}

.k-i-arrow-60-up::before, .k-i-arrow-n::before, .k-i-sarrow-n::before, .k-i-expand-n::before {
    content: "\e013"
}

.k-i-arrow-60-down::before, .k-i-arrow-s::before, .k-i-sarrow-s::before, .k-i-collapse::before, .k-i-expand-s::before {
    content: "\e015"
}

.k-widget ::selection, .k-block ::selection, .k-panel ::selection {
    color: #2F1B47;
    background-color: #4ABBB6
}

.k-checkbox {
    border-color: rgba(0,0,0,0.08);
    color: #656565;
    background-color: #fff
}

    .k-checkbox:hover {
        border-color: rgba(0,0,0,0.15);
        color: #2F1B47;
        background-color: #4ABBB6
    }

    .k-checkbox:focus {
        border-color: rgba(0,0,0,0.15);
        box-shadow: 0 0 0 2px rgba(0,0,0,0.06)
    }

    .k-checkbox:indeterminate, .k-checkbox.k-state-indeterminate {
        border-color: rgba(0,0,0,0.08);
        color: #2F1B47;
        background-color: #4ABBB6
    }

    .k-checkbox:checked {
        border-color: #4ABBB6;
        color: #2F1B47;
        background-color: #4ABBB6
    }

        .k-checkbox:checked:focus {
            border-color: #4ABBB6;
            box-shadow: 0 0 0 2px rgba(255,99,88,0.3)
        }

    .k-checkbox.k-invalid, .k-checkbox.k-state-invalid {
        border-color: #ff6358
    }



.k-textbox, .k-textarea, .k-input.k-textbox {
    border-color: rgba(0,0,0,0.08);
    color: #656565;
    background-color: #fff;
    background-clip: padding-box
}
    .k-textbox::selection, .k-textarea::selection, .k-input.k-textbox::selection {
        color: #2F1B47;
        background-color: #4ABBB6
    }

    .k-textbox::selection, .k-input::selection, .k-textarea::selection {
        color: #2F1B47;
        background-color: #4ABBB6
    }



.k-toolbar {
    overflow: visible;
}

fieldset {
    border: 1px solid rgba(0,0,0,0.08) !important;
    height: 150px;
    padding: 10px;
    overflow-y: scroll;
}

.k-list .k-item, .k-list-optionlabel {
    transition-property: color, background-color, outline-color, box-shadow;
    transition-duration: 200ms;
    transition-timing-function: ease
}

    .k-list .k-item:hover.k-state-selected, .k-list .k-item.k-state-hover.k-state-selected, .k-list-optionlabel:hover.k-state-selected, .k-list-optionlabel.k-state-hover.k-state-selected {
        color: #2F1B47;
        background-color: #4ABBB6
    }

.k-list .k-item, .k-list-optionlabel {
    transition-property: color, background-color, outline-color, box-shadow;
    transition-duration: 200ms;
    transition-timing-function: ease
}

    .k-list .k-item:hover.k-state-selected, .k-list .k-item.k-state-hover.k-state-selected, .k-list-optionlabel:hover.k-state-selected, .k-list-optionlabel.k-state-hover.k-state-selected {
        color: #2F1B47;
        background-color: #4ABBB6
    }

.k-calendar .k-footer .k-nav-today, .k-calendar .k-calendar-header .k-today {
    color: #2F1B47
}

    .k-calendar .k-footer .k-nav-today:hover, .k-calendar .k-footer .k-nav-today:focus, .k-calendar .k-calendar-header .k-today:hover, .k-calendar .k-calendar-header .k-today:focus {
        color: #2F1B47
    }

.k-calendar .k-state-selected .k-link {
    border-color: #39918d;
    color: #2F1B47;
    background-color: #4ABBB6
}

/*Add scrollbar into multiselect*/
.k-multiselect-wrap {
    max-height: 60px;
    overflow-y: scroll;
}

.k-pager-wrap .k-pager-numbers {
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-direction: row;
    flex-direction: row;
    margin-bottom: 0px;
    padding: 0px;
}

.k-pager-nav:hover {
    color: #2F1B47;
    background-color: #4ABBB6;
}
.k-pager-numbers .k-link {
    color: #2F1B47
}
    .k-pager-numbers .k-link:hover, .k-pager-numbers .k-link.k-state-hover {
        color: #2F1B47;
        background-color: #4ABBB6;
    }

.k-pager-numbers .k-link.k-state-selected {
    color: #2F1B47;
    background-color: #4ABBB6;
}

.k-grid a {
    color: black;
    text-decoration: none
}

.k-filtercell .k-filtercell-operator {
    width: 1px;
}
 
.k-grid tbody tr:hover, .k-grid tbody tr.k-state-hover {
    color: #2F1B47;
    background-color: #4ABBB6;
}

.k-grid td.k-state-selected, .k-grid tr.k-state-selected > td {
    color: #2F1B47;
    background-color: #4ABBB6;
}

.k-grid-header .k-i-sort-asc-sm, .k-grid-header .k-i-sort-desc-sm, .k-grid-header .k-sort-order {
    color: #4ABBB6
}

